# runes\_getOrder

You can use the `runes_getOrder` method to fetch the status of&#x20;

* a [Rune mint order ](https://docs.xverse.app/sats-connect/bitcoin-methods/mint-runes)
* a [Rune etch order ](https://docs.xverse.app/sats-connect/bitcoin-methods/etch-runes)

You can specify the Rune mint or etch order whose status you wish to retrieve, by passing a `GetOrderParams` object to the method, with the below properties:

<table><thead><tr><th width="221">GetOrderParams</th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the id of your mint or etch order. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> the <a href="mint-runes/runes_mint"><code>runes_mint</code></a> &#x26; <a href="etch-runes"><code>runes_etch</code></a> methods will return the order id in their response objects.</td></tr><tr><td><code>network</code> <br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the mint runes transactions: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr></tbody></table>

<pre class="language-typescript"><code class="lang-typescript"><strong>import { request } from "sats-connect";
</strong>
    const response = await request('runes_getOrder', { 
      id: "ORDER_ID", 
      network?: "Mainnet" });

    if (response.status === 'success') {
      setTotalCost(response.result.totalCost);
      setTotalSize(response.result.totalSize);
    } else {
      console.error(response.error);
      alert('Error Fetching Estimate. See console for details.');
    }
</code></pre>

The `runes_getOrder` method will **not** trigger any operation or prompt your user to sign any transaction. It will return a `GetOrderResponse` object, intended for you and your user to track the status of the order:

<table><thead><tr><th width="239">GetOrderResponse </th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the id of your mint or etch order. </td></tr><tr><td><code>orderType</code></td><td><p>a string representing the nature of the order. <br><br>The possible values are:</p><ul><li><code>runes_mint</code> for a mint order</li><li><code>runes_etch</code> for an etch order</li></ul></td></tr><tr><td><code>state</code></td><td><p>A string representing the current status of your order<br><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span>See <a href="mint-runes/runes_mint"><code>runes_mint</code></a> &#x26; <a href="etch-runes"><code>runes_etch</code></a> for details on the rune order workflows<br><br>The possible values are:</p><ul><li><code>new</code> when the order has only just been created, and your user has not broadcast a funding transaction yet</li><li><code>pending</code> when the order awaits the confirmation of your user's funding transaction before being processed</li><li><code>executing</code> when the order is being processed and the required runes mint/etch transactions are being broadcast.</li><li><code>complete</code> when the order has been processed and all runes mint/etch transactions have been confirmed.</li><li><code>failed</code> when the order has failed. See the <code>reason</code> property for the nature of the order failure.</li><li><code>refunded</code> when the funding transaction for a failed order has been refunded to your user's specified refund address</li><li><code>stale</code> when the order status hasn't progressed from the <code>new</code> state for an extended period of time</li></ul></td></tr><tr><td><code>reason</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>If the order is in a <code>failed</code> state, a string representing the reason for the failure</td></tr><tr><td><code>createdAt</code></td><td>the creation date for the order (this is the date when the <a href="mint-runes/runes_mint">runes_mint</a> or <a href="etch-runes/runes_etch">runes_etch</a> method was first invoked)</td></tr><tr><td><code>fundingAddress</code></td><td>a string representing the BTC address which will collect the funds required to process the order, and sign the required mint/etch transactions to process the order.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/runes_getorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
